Try ERPNext Buy Support Partners Foundation

Easy Script on Debian 10 - Succeed

Hi, I just finish install erpnext v12 in fresh debian 10. I just want to share so that everyone can install it too…
Here is my step:

  1. Type without sudo
    export LC_ALL=C.UTF-8
    export LANG=C.UTF-8
  2. Run the easy script sudo -H python3 install.py --production --user “youruser” --site “yoursite”
  3. You will get error on MariaDB installation, so I change the repository in /etc/apt/sources.list.d/xxx from mariadb 10.2 to 10.3, then run the easy script again.
  4. The easy script will show error again at installing yarn, so I did
    sudo apt install npm
    sudo npm install -g yarn
  5. And I run the easy script again and suceed.

I hope this will help anyone who wants to install erpnext v12 in debian 10.

Thanks

1 Like

In addition to this I had to do the following
using debian 10 buster
/tmp/.bench/bench/playbooks/roles/mariadb/tasks/main.yml
change line 58 to mariadb
for the startup service
it was failing on mysql
it did not like alias being used
i also changed the changed the mariadb version to 10.4
I am not sure if was necessary, did not verify if worked without this 10.4 change

Whilst this allowed the installation to say was successful can not access properly.
Can only access front page from Windows XP with firefox.
With windows 7 and 10 get cannot event get home page, just unable to connect message.
Under XP when select login nothing happens to page display, the url changes to 123.zxy.app/login.
I setup up as multi tenant to check further.
It did not remove the default site and could only get the incomplete home page for both sites.
I ran bench setup add-domain to setup mappings in nginx and site jason file

After several times trying this software it is somewhat of a challenge with documentation provided.

It turns out the the easy instal did not copy all files over for
…/frappe/frappe-bench/sites/assets for css and js
after this could login via with firefox with windows XP, but not W7 or W10
able to setup new entity with XP
not running secure site